searchData={"content_type":"text/markdown","items":[{"doc":"Parse websites to extract Open Graph meta tags.\n\nThe example above shows how to fetch the GitHub Open Graph rich objects.\n\n```\nMix.install([\n  {:opengraph_parser, \"~> 0.4.4\"},\n  {:req, \"~> 0.4.14\"}\n])\n\nReq.get!(\"https://github.com\").body\n|> OpenGraph.parse(html)\n\n%OpenGraph{description: \"GitHub is where people build software. More than 15 million...\",\nimage: \"https://assets-cdn.github.com/images/modules/open_graph/github-octocat.png\",\nsite_name: \"GitHub\", title: \"Build software better, together\", type: nil,\nurl: \"https://github.com\"}\n```","ref":"OpenGraph.html","title":"OpenGraph","type":"module"},{"doc":"Parses the given HTML to extract the Open Graph objects.\n\nArgs:\n  * `html` - raw HTML as a binary string or char list\n\nThis functions returns an OpenGraph struct.","ref":"OpenGraph.html#parse/1","title":"OpenGraph.parse/1","type":"function"},{"doc":"","ref":"OpenGraph.html#t:t/0","title":"OpenGraph.t/0","type":"type"},{"doc":"# OpenGraph\n\n[![Build Status](https://github.com/bitboxer/opengraph_parser/actions/workflows/elixir.yml/badge.svg?branch=main)](https://github.com/bitboxer/opengraph_parser/actions/workflows/elixir.yml)\n[![Hex.pm version](https://img.shields.io/hexpm/v/opengraph_parser.svg)](https://hex.pm/packages/opengraph_parser)\n[![Hex.pm downloads](https://img.shields.io/hexpm/dt/opengraph_parser.svg)](https://hex.pm/packages/opengraph_parser)\n\nA Elixir wrapper for the [Open Graph protocol](http://ogp.me). This is a fork of\n[open_graph_extended](https://framagit.org/tcit/open_graph). The main goal is to\nhave an active maintained version again.","ref":"readme.html","title":"OpenGraph","type":"extras"},{"doc":"The package can be installed by `opengraph_parser` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [{:opengraph_parser, \"~> 0.6.0\"}]\nend\n```","ref":"readme.html#installation","title":"Installation - OpenGraph","type":"extras"},{"doc":"```elixir\niex(2)> OpenGraph.parse(\"<!DOCTYPE html>      Some title   \")\n\n%OpenGraph{description: nil, image: nil, site_name: nil, title: \"Some title\",\n type: nil, url: nil}\n```","ref":"readme.html#usage","title":"Usage - OpenGraph","type":"extras"},{"doc":"OpenGraphParser Elixir source code is licensed under the MIT License.","ref":"readme.html#license","title":"License - OpenGraph","type":"extras"}],"producer":{"name":"ex_doc","version":"0.37.2"},"proglang":"elixir"}